C
C     ******************************************************************
C
C     SUBROUTINE RIINT2 --- THIS COMPUTES THE REFRACTIVE INDEX AND
C	       DISPERSION FOR THE LESS COMMON WINDOW MATERIALS.
C
      SUBROUTINE RIINT2 (XNU,RNU,RIN,RI,NP,NRI)
C
      DIMENSION XNU(1),RNU(1),RIN(1),RI(1)
      JPRRI=1
      LIMRI=NRI-1
      DO 30 I=1,NP
	W=XNU(I)
C
C	REFRACTIVE INDEX INTERPOLATION SECTION
C
	J=JPRRI
   10	IF (W.GE.RNU(J+1)) GO TO 20
	J=J+1
	IF (J.LE.LIMRI) GO TO 10
	J=J-1
   20	DR=RIN(J)-RIN(J+1)
	DNU=RNU(J)-W
	RI(I)=RIN(J)-DR*DNU/(RNU(J)-RNU(J+1))
   30 CONTINUE
      RETURN
      END
